image: golang:latest

build:
    script:
        - make
    dependencies: []
    except:
        - tags

release:
    script:
        - make
    artifacts:
        paths:
            - dist/*.tar.gz
    only:
        - tags
